kate package missing requirement

Bug #1239506 reported by Low Kian Seong on 2013-10-14
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Linux Mint
New
Undecided
Unassigned
kate (Ubuntu)
Undecided
Unassigned

Bug Description

I installed default kate package from ubuntu repos. When I tried to enable the pate plugins, I got this error:

kate(10174)/Kate (Plugins): "Traceback (most recent call last):
  File "/usr/share/kde4/apps/kate/plugins/pate/kate/__init__.py", line 32, in <module>
    from PyKDE4.kdecore import i18n
ImportError: No module named PyKDE4.kdecore
Could not import kate"
kate(10174)/Kate (Plugins): Could not initialise Pate. Ouch!
kate(10174)/Kate (Plugins): "Traceback (most recent call last):
  File "/usr/share/kde4/apps/kate/plugins/pate/kate/__init__.py", line 32, in <module>
    from PyKDE4.kdecore import i18n
ImportError: No module named PyKDE4.kdecore
Could not import kate"
kate(10174)/Kate (Plugins): "Traceback (most recent call last):
  File "/usr/share/kde4/apps/kate/plugins/pate/kate/__init__.py", line 32, in <module>
    from PyKDE4.kdecore import i18n
ImportError: No module named PyKDE4.kdecore
Could not import kate"

When I installed the python-kde4 package the problem went away. I think the package is missing one dependency.

theghost (theghost) wrote :

Also affects Ubuntu 13.10 Saucy.

tags: added: saucy
Hachmann (marenhachmann) wrote :

Pâté can't be initialised for me, either.
LM17.1, kate from default repo :(

Tried the hint with python-kde4 and it worked - thank you Low Kian Seong!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers